summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuciana Fujii <luciana@squeeze.(none)>2013-05-21 23:01:15 (GMT)
committerLuciana Fujii Pontello <luciana@fujii.eti.br>2013-05-24 20:19:36 (GMT)
commitc5afc44d62553839cfd6bf289dabd09f75134848 (patch)
tree122473dd9bba956bab111863d9a7a0b7daa27785
parentd8477411f7445c3c786a464b8d4818dcf210c287 (diff)
downloadcerbero-c5afc44d62553839cfd6bf289dabd09f75134848.tar.gz
cerbero-c5afc44d62553839cfd6bf289dabd09f75134848.tar.xz
bootstrap: Add yasm for Debian squeeze
Debian squeeze has an older version of yasm than required.
-rw-r--r--cerbero/bootstrap/build_tools.py3
1 files changed, 2 insertions, 1 deletions
diff --git a/cerbero/bootstrap/build_tools.py b/cerbero/bootstrap/build_tools.py
index ddbe968..d43bbe2 100644
--- a/cerbero/bootstrap/build_tools.py
+++ b/cerbero/bootstrap/build_tools.py
@@ -44,7 +44,8 @@ class BuildTools (BootstraperBase):
self.BUILD_TOOLS.insert(0, 'tar')
self.BUILD_TOOLS.insert(0, 'xz')
if self.config.platform == Platform.LINUX:
- if self.config.distro_version == DistroVersion.UBUNTU_LUCID:
+ if self.config.distro_version == DistroVersion.UBUNTU_LUCID or \
+ self.config.distro_version == DistroVersion.DEBIAN_SQUEEZE:
# x264 requires yasm >= 1.0
self.BUILD_TOOLS.append('yasm')
if self.config.target_platform == Platform.IOS: